Core - Task # 55674

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 55516 (Resolved): Reduce the number of backend script entry points

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category:

Created: 2014-02-04 Assigned To: Nicole Cordes
Updated: 2014-03-17 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: rtehtmlarea entry scripts cleanup

Description

typo3/sysext/rtehtmlarea/mod3/browse_links.php
typo3/sysext/rtehtmlarea/mod4/select_image.php
typo3/sysext/rtehtmlarea/mod5/user.php
typo3/sysext/rtehtmlarea/mod6/parse_html.php

use all init.php

Associated revisions

Revision 6e987e1b - 2014-03-17 21:37 - Nicole Cordes

[TASK] Ext:rtehtmlarea entry scripts cleanup

This patch turns all remaining RTE module scripts (mod4, mod5, mod6)
into CSRF protected wizards.

Resolves: #55674

Releases: 6.2

Change-Id: 18421ff05240f6eedcaf40c805d9dd92ea7d4c30b
Reviewed-on: https://review.typo3.org/28208

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2014-03-07 01:22 - Helmut Hummel

- Assigned To changed from Anja Leichsenring to Nicole Cordes

#2 - 2014-03-07 01:27 - Helmut Hummel
- Status changed from New to Accepted

#3 - 2014-03-07 01:27 - Helmut Hummel
- % Done changed from 0 to 30
https://review.typo3.org/28208

#4 - 2014-03-10 01:05 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28208

#5 - 2014-03-10 01:05 - Nicole Cordes
- Status changed from Under Review to Accepted

#6 - 2014-03-10 01:56 - Nicole Cordes
- Status changed from Accepted to Under Review

#7 - 2014-03-17 21:10 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28208

#8 - 2014-03-17 22:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 30 to 100

Applied in changeset commit:6e987e1b57fffbc910b47469b4a4a012c9182905.
